$!-----------------------------------------------------------------------------
$! HYPERSPIXX$AGENT.COM
$!
$! 20-MAY-2011  MGD  allow for WASD v10 environment
$! 03-NOV-2000  MGD  mods for hyperSPI++
$! 21-AUG-1998  MGD  simplify, eliminating batch phase
$! 15-JUN-1995  MGD  initial development
$!-----------------------------------------------------------------------------
$!
$ SET NOON
$ IF F$TRNLNM("WASD_FILE_DEV") .NES. "" THEN @WASD_FILE_DEV
$!
$ IF P1 .EQS. "STARTUP"
$ THEN
$    LOG = "WASD_LOGS:HYPERSPI_''F$GETSYI("NODENAME")'.LOG"
$    LOG = F$PARSE(LOG,,,,"NO_CONCEAL")
$    SET PROC /PRIVILEGE=ALL
$    RUN /DETACHED /AUTHORIZE SYS$SYSTEM:LOGINOUT -
         /PROCESS="hyperSPI++" -
         /INPUT=WASD_ROOT:[SRC.HYPERSPIXX]HYPERSPIXX$AGENT.COM -
         /OUTPUT='LOG'
$    EXIT
$ ENDIF
$!
$!-----------------------------------------------------------------------------
$!
$ HYPERSPIXX$AGENT = "$WASD_EXE:HYPERSPIXX$AGENT"
$! DEFINE /PROCESS HYPERSPI$DEBUG TRUE
$!
$ LOOP:
$    HYPERSPIXX$AGENT
$    IF $STATUS THEN EXIT
$    WAIT 00:01:00
$    GOTO LOOP
$ END_LOOP:
$!
$!-----------------------------------------------------------------------------
